핵심
모델 목록 조회
TokenLab에서 현재 사용 가능한 모델 목록을 조회합니다
모델 카탈로그는 공개되어 있으며 API 키가 필요하지 않습니다. 각 항목에는 현재 기능, 가격 및 API 형식에 대한 요약이 포함되어 있습니다. 전체 세부 정보가 필요한 경우 특정 모델을 조회하십시오.
API 키를 제공하면 TokenLab은 해당 키를 검증하고 모델 권한 및 유효한 전달 정책에 따라 카탈로그를 필터링합니다. verified로 설정된 키는 TokenLab Verified 공급 모델을 나열하며, official은 Official 공급 모델을 나열합니다. 키나 전달 정책이 변경되면 모델 선택기를 새로 고침하십시오. 요청의 지원되는 전달 재정의(delivery override)가 키 및 워크스페이스 기본값보다 우선합니다.
쿼리 매개변수
chat, image, video, audio, tts, stt, music, 3d, embedding, rerank, decision 또는 translation으로 필터링합니다.
image, video, music, 3d, tts, stt, embedding, rerank, decision 또는 translation과 같은 작업에 대한 현재 권장 사항을 반환합니다.
openai, anthropic, google 또는 deepseek와 같은 모델 제조사별로 필터링합니다.
reasoning, tool-use, vision 또는 text-to-image와 같은 기능 태그로 필터링합니다. 모델의 tokenlab.capabilities에 있는 값은 유효한 태그입니다. 모델 종류별로 필터링하려면 category를 사용하십시오.
fullfull은 아래 설명된 전체 목록 형태를 반환합니다. compact는 모델 선택을 위한 더 작은 목록을 반환합니다: id, provider, category, capabilities, 토큰 제한, 가격 요약, status, deliveryAvailability, supported_operations, request_endpoint 및 최상위 레벨의 view와 count.
응답
list입니다.id, owned_by 및 tokenlab 요약 정보가 포함된 모델입니다.tokenlab 하위의 일반적인 목록 필드는 다음과 같습니다:
tokenlab.aliasestokenlab.capabilitiestokenlab.deliveryAvailability: 제공된 경우 구성된verified및official지원 여부. 필드가 누락된 경우 알 수 없음을 의미하며, 지원 여부가 실시간 가용성을 보장하지는 않습니다.tokenlab.pricing: Verified 가격.tokenlab.deliveryAvailability.verified가false인 경우 가격 필드는null이며, 해당 모델은 Official 가격으로 청구됩니다.tokenlab.official_pricing: Official 가격. Official이 전달하는 요청은 이 가격으로 청구됩니다.tokenlab.pricing_unittokenlab.max_input_tokens및tokenlab.max_output_tokenstokenlab.categorytokenlab.lifecycle,tokenlab.commercial및tokenlab.badgestokenlab.request_format_summaryrecommended_for가 사용된 경우tokenlab.agent_preferences
recommended_for가 사용되면 결과에 권장 상태 및 업데이트 시간이 포함될 수 있습니다. 순서를 고정하지 말고 현재 응답을 읽으십시오.
오류
| 상태 | 코드 | 원인 |
|---|---|---|
400 | invalid_view, invalid_provider, invalid_category, invalid_recommended_for | 허용되지 않는 쿼리 값입니다. 메시지에 유효한 값이 나열됩니다. category와 recommended_for를 모두 설정할 경우 서로 일치해야 합니다 |
401 | invalid_api_key | 유효하지 않은 API 키를 보냈습니다. 공개 목록을 읽으려면 헤더를 제거하십시오 |
429 | rate_limit_exceeded | 공개 카탈로그에 대한 요청이 너무 많습니다. 응답을 캐시하고 Retry-After 이후에 재시도하십시오 |
예시
curl "https://api.tokenlab.sh/v1/models?category=video"{
"object": "list",
"data": [
{
"id": "veo3.1",
"object": "model",
"owned_by": "google",
"tokenlab": {
"category": "video",
"capabilities": ["text-to-video", "image-to-video"]
}
}
]
}전체 세부 정보는 모델 조회를 참조하십시오.
curl -X GET "https://example.com/v1/models"{ "object": "list", "data": [ { "id": "string", "object": "model", "created": 0, "owned_by": "string", "tokenlab": { "aliases": [ "string" ], "deliveryAvailability": { "verified": true, "official": true, "operations": { "property1": { "verified": true, "official": true }, "property2": { "verified": true, "official": true } } }, "pricing": { "input_per_1m": "string", "output_per_1m": "string", "per_request": "string", "is_lock_price": true, "currency": "USD" }, "official_pricing": { "input_per_1m": "string", "output_per_1m": "string", "per_request": "string", "is_lock_price": true, "currency": "USD" }, "capabilities": [ "string" ], "providers": [ "string" ], "max_input_tokens": 0, "max_output_tokens": 0, "category": "string", "pricing_unit": "string", "cache_pricing": {}, "official_cache_pricing": {}, "has_complex_pricing": true, "pricing_summary": {}, "agent_preferences": {}, "lifecycle": { "stage": "active", "reason": "string", "replacement_model": "string", "released_at": "2019-08-24T14:15:22Z", "deprecated_at": "2019-08-24T14:15:22Z", "retired_at": "2019-08-24T14:15:22Z", "sunset_at": "2019-08-24T14:15:22Z", "latest": true, "latest_source": "auto", "latest_window_days": 0 }, "commercial": { "user_charge_policy": "paid", "free_reason": "platform", "free_until": "2019-08-24T14:15:22Z" }, "badges": [ { "key": "free", "tone": "green", "priority": 0, "tooltip": { "key": "string", "values": { "property1": "string", "property2": "string" } } } ], "request_format_summary": { "public_operations": [ "string" ], "request_endpoint": "string", "request_endpoint_by_operation": { "property1": "string", "property2": "string" } } } } ]}인증
BearerAuth API 키 인증입니다. Dashboard > API > API Keys에서 API 키를 생성하거나 관리하십시오.
위치: header
쿼리 매개변수
공개 모델 제공자(예: openai, anthropic, google, minimax)별 필터링.
reasoning, tool-use, vision 또는 text-to-image와 같은 기능 태그로 필터링합니다. 모델의 tokenlab.capabilities에 있는 값은 유효한 태그입니다. 모델 종류별로 필터링하려면 category를 사용하십시오.
모델 카테고리별 필터링.
허용 값
- "chat"
- "embedding"
- "translation"
- "image"
- "video"
- "audio"
- "tts"
- "stt"
- "rerank"
- "3d"
- "music"
- "decision"
작업 카테고리에 대해 지원되는 비채팅 모델을 정렬하고 추천 근거를 포함합니다.
허용 값
- "image"
- "video"
- "music"
- "3d"
- "tts"
- "stt"
- "embedding"
- "rerank"
- "translation"
- "decision"
컴팩트한 모델 선택 필드 또는 전체 OpenAI 호환 목록 형태를 선택합니다.
"full"허용 값
- "compact"
- "full"
응답
application/json
application/json
application/json
application/json
application/json